summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndrew Savchenko <bircoph@gentoo.org>2018-03-19 01:16:19 +0300
committerAndrew Savchenko <bircoph@gentoo.org>2018-03-19 01:16:19 +0300
commit3d14e15edcd85d7b35678af2cf9884950a6863cf (patch)
treef601d10bb0c1429ca370c8dfe77a9be8edf243bf
parentopenl2tpd: various QA fixes (diff)
downloadbircoph-3d14e15edcd85d7b35678af2cf9884950a6863cf.zip
bircoph-3d14e15edcd85d7b35678af2cf9884950a6863cf.tar.gz
bircoph-3d14e15edcd85d7b35678af2cf9884950a6863cf.tar.bz2
openl2tpd: rpc fixes
- fix build dep for rpc and glibc >= 2.26 - revbump
-rw-r--r--net-dialup/openl2tp/openl2tp-1.8-r7.ebuild (renamed from net-dialup/openl2tp/openl2tp-1.8-r6.ebuild)5
1 files changed, 4 insertions, 1 deletions
diff --git a/net-dialup/openl2tp/openl2tp-1.8-r6.ebuild b/net-dialup/openl2tp/openl2tp-1.8-r7.ebuild
index a585a70..809dca0 100644
--- a/net-dialup/openl2tp/openl2tp-1.8-r6.ebuild
+++ b/net-dialup/openl2tp/openl2tp-1.8-r7.ebuild
@@ -24,7 +24,10 @@ CDEPEND="
DEPEND="${CDEPEND}
sys-devel/bison
sys-devel/flex
- "
+ rpc? ( || (
+ net-libs/rpcsvc-proto
+ sys-devel/glibc[rpc]
+ ) )"
RDEPEND="${CDEPEND}
rpc? ( net-nds/rpcbind )
"